/* -*- c++ -*- */
#ifndef AKAXISO_CONSTRUCT_H__
#define AKAXISO_CONSTRUCT_H__

#include <akaxiso/classes/traits.h>
#include <akaxiso/classes/node.h>

namespace aka2 {

  void element_construct(const node &nd);

  void member_construct(void *e, const named_member &mtype);

  void attributes_construct(void *e, const attribute_types *attrtypes);
  void sequence_construct(void *e, const sequence_op &sop);
  void all_construct(void *e, const all_op &aop);
  void simplecontent_construct(void *e, const simplecontent_op &sop);
  void ptrmember_construct(void *e, const ptrmember_op &pop);
}

#endif
